Page MenuHomePhabricator

CX2: Open in-progress translations with the same editor version they were created
Closed, ResolvedPublic

Description

CX2 has significant architecture changes with respect to CX1, making the translations they produce non compatible. That is, editing with CX2 a translation started with CX1 (or the other way around) is expected to be problematic.

In order to allow both CX1 and CX2 to coexist, we can keep their content separate. That is, translations started with CX1 will be always edited with CX1 editor, and those started with CX2 will always be edited with CX2. Regardless of which is the default translation editor at the time.

As a prerequisite to support this ticket, we need to complete first T187986: CX2: Register the version used to start a translation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2018, 9:42 AM
Pginer-WMF triaged this task as Normal priority.Feb 22 2018, 9:46 AM
Pginer-WMF updated the task description. (Show Details)

This should already be working. @Nikerabbit, is this done with T187770?

Nikerabbit moved this task from Priority backlog to QA on the Language-2018-Apr-June board.

Yep, this is done.

KartikMistry moved this task from QA to Done on the Language-2018-Apr-June board.Apr 25 2018, 6:00 AM
Pginer-WMF closed this task as Resolved.Apr 26 2018, 10:54 AM